This release fixes a few reported security issues. This version is fully compatible with all previous 1.8 versions, but it is still highly recommend to update to 1.8.7